[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.DrawFocusRect

Draws a focus rectangle around the specified rectangle on the canvas.

## Declaration

Source position: graphics.pp line 1114

`public procedure TCanvas.DrawFocusRect(`
`const ARect: TRect`
`); virtual;`

## Arguments

`ARect` |  | TRect instance with the bounds for the drawing operation.

## Description

DrawFocusRect is a method used to draw a focus rectangle around the rectangular region specified in ARect.

DrawFocusRect calls Changing to signal an assigned OnChanging event handler prior to drawing the focus rectangle. It calls Changed to signal an assigned OnChange event handler immediately after drawing the focus rectangle.

DrawFocusRect calls the DrawFocusRect routine in the LCL interface to perform the drawing opertation using the Handle for the canvas.

## See also

TCanvas.Changing |  | Signals the OnChanging event handler (when assigned).
TCanvas.Changed |  | Signals the OnChange event handler (when assigned).
LCLIntf.DrawFocusRect |  | Draws a focus rectangle on the specified device context.